<?php

namespace Litecms\Demo;

use User;

class Demo
{
    /**
     * $demo object.
     */
    protected $demo;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Demo\Interfaces\DemoRepositoryInterface $demo)
    {
        $this->demo = $demo;
    }

    /**
     * Returns count of demo.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.demo.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->demo->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\DemoUserCriteria());
        }

        $demo = $this->demo->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('demo::' . $view, compact('demo'))->render();
    }
}
