<?php

namespace Litecms\Demo\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DemoTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Demo\Models\Demo $demo)
    {
        return [
            'id'                => $demo->getRouteKey(),
            'key'               => [
                'public'    => $demo->getPublicKey(),
                'route'     => $demo->getRouteKey(),
            ], 
            'id'                => $demo->id,
            'name'              => $demo->name,
            'Class'             => $demo->Class,
            'roll_no'           => $demo->roll_no,
            'Marks'             => $demo->Marks,
            'url'               => [
                'public'    => trans_url('demo/'.$demo->getPublicKey()),
                'user'      => guard_url('demo/demo/'.$demo->getRouteKey()),
            ], 
            'status'            => trans('app.'.$demo->status),
            'created_at'        => format_date($demo->created_at),
            'updated_at'        => format_date($demo->updated_at),
        ];
    }
}